Bug 828350 - SELinux is preventing /usr/sbin/cherokee from read, write access on the file cherokee.pid.
SELinux is preventing /usr/sbin/cherokee from read, write access on the file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b5b3df4553cef9ab31aba08ad98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 12:44 EDT by Steven
Modified: 2012-07-25 23:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven 2012-06-04 12:44:05 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/cherokee from read, write access on the file cherokee.pid.
time:           Mon 04 Jun 2012 11:43:51 AM CDT

description:
:SELinux is preventing /usr/sbin/cherokee from read, write access on the file cherokee.pid.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that cherokee should be allowed read write access on the cherokee.pid file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep cherokee /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                unconfined_u:object_r:var_run_t:s0
:Target Objects                cherokee.pid [ file ]
:Source                        cherokee
:Source Path                   /usr/sbin/cherokee
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           cherokee-1.2.101-3.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.x86_64 #1 SMP Tue
:                              May 22 13:59:39 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 04 Jun 2012 11:42:30 AM CDT
:Last Seen                     Mon 04 Jun 2012 11:42:30 AM CDT
:Local ID                      f857a332-53ed-4725-971b-1e7570deeb7b
:
:Raw Audit Messages
:type=AVC msg=audit(1338828150.856:235): avc:  denied  { read write } for  pid=12002 comm="cherokee" name="cherokee.pid" dev="tmpfs" ino=68646 scontext=system_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338828150.856:235): arch=x86_64 syscall=open success=no exit=EACCES a0=1996040 a1=242 a2=1b6 a3=238 items=0 ppid=1 pid=12002 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=cherokee exe=/usr/sbin/cherokee subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: cherokee,httpd_t,var_run_t,file,read,write
:
:audit2allow
:
:#============= httpd_t ==============
:allow httpd_t var_run_t:file { read write };
:
:audit2allow -R
:
:#============= httpd_t ==============
:allow httpd_t var_run_t:file { read write };
:
Comment 1 Miroslav Grepl 2012-06-22 07:02:11 EDT
Fixed in  selinux-policy-3.10.0-90.fc16
Comment 2 Steven 2012-06-22 11:40:36 EDT
Tanks
Comment 3 Fedora Update System 2012-07-02 04:48:42 EDT
selinux-policy-3.10.0-90.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-90.fc16
Comment 4 Fedora Update System 2012-07-03 11:50:26 EDT
Package selinux-policy-3.10.0-90.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-90.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10203/selinux-policy-3.10.0-90.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-25 23:54:04 EDT
selinux-policy-3.10.0-90.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.